//
//  UIImage-Additions.h
//
//  Created by boreal-kiss.com on 10/08/13.
//  Copyright 2010 boreal-kiss.com. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface UIImage (Additions)

/**
 * Returns a subimage object cropped from an image's specific area.
 */
+(UIImage *)subimageWithImage:(UIImage *)image inRect:(CGRect)rect;

/**
 * Returns an image scaled to a given size.
 */
+(UIImage *)scaledImageWithImage:(UIImage*)image inSize:(CGSize)size;

/**
 * Returns an image in the corrected orientation.
 */
+(UIImage *)rotatedImageWithImage:(UIImage *)image;

@end
