//
//  UIImage-Image2x.h
//  Image2x
//
//  Created by boreal-kiss.com on 10/08/14.
//  Copyright 2010 boreal-kiss.com. All rights reserved.
//

#import <UIKit/UIKit.h>

/**
 * Creates images from image data for the retinal display.
 */
@interface UIImage (Image2x)

/**
 * Retruns an image for the retina display.
 */
+(UIImage *)image2xWithData:(NSData *)data;

/**
 * Returns an image with a given scale factor and image orientation.
 */
+(UIImage *)imageWithData:(NSData *)data scale:(CGFloat)scale orientation:(UIImageOrientation)orientation;

@end
